<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li ><a href="{:url('Chargerules/index')}">{:lang('ORDINARY_TOP_UP_RULES_LIST')}</a></li>
			<li class="active"><a >{:lang('EDIT')} {:lang('ORDINARY_TOP_UP_RULES')}</a></li>
		</ul>
		<form method="post" class="form-horizontal js-ajax-form margin-top-20" action="{:url('Chargerules/editPost')}">
            <div class="form-group">
				<label for="input-name" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('CHINESE_NAME')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-name" name="name" value="{$data['name']}">
				</div>
			</div>

			<div class="form-group">
				<label for="input-name_en" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ENGLISH_NAME')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-name_en" name="name_en" value="{$data['name_en']}">
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-money" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PRICE')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-money" name="money" value="{$data['money']}">
					<p class="help-block">{:lang('PRICE_BETWEEN_001_AND_99999999')}</p>
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-coin" class="col-sm-2 control-label"><span class="form-required">*</span>{$name_coin}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-coin" name="coin" value="{$data['coin']}">
					<p class="help-block">{:lang('BETWEEN_MSG', ['min' => 1, 'max' => 99999999])}</p>
				</div>
			</div>
            
            <if condition="$data['type'] eq '0'">
	            <div class="form-group">
					<label for="input-coin_ios" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('APPLE_PAY')}{$name_coin}</label>
					<div class="col-md-6 col-sm-10">
						<input type="text" class="form-control" id="input-coin_ios" name="coin_ios" value="{$data['coin_ios']}">
						<p class="help-block">{:lang('BETWEEN_MSG', ['min' => 1, 'max' => 99999999])}</p>
					</div>
				</div>
            </if>
            <div class="form-group">
				<label for="input-product_id" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('APPLE_PROJECT_ID')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-product_id" name="product_id" value="{$data['product_id']}">
				</div>
			</div>
            
            <if condition="$data['type'] eq '0'">
	            <div class="form-group">
					<label for="input-give" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('GIVEAWAY')} {$name_coin}</label>
					<div class="col-md-6 col-sm-10">
						<input type="text" class="form-control" id="input-give" name="give" value="{$data['give']}">
						<p class="help-block">{:lang('BETWEEN_MSG', ['min' => 0, 'max' => 99999999])}</p>
					</div>
				</div>
            

	            <div class="form-group">
					<label for="input-coin_paypal" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PAYPAL_PAYMENT')} {$configpub['name_coin']}</label>
					<div class="col-md-6 col-sm-10">
						<input type="text" class="form-control" id="input-coin_paypal" name="coin_paypal" value="{$data['coin_paypal']}" onkeyup ="this.value=this.value.replace(/\D/g,'')" onafterpaste="this.value=this.value.replace(/\D/g,'')">
						<p class="help-block">{:lang('BETWEEN_MSG', ['min' => 1, 'max' => 99999999])}</p>
					</div>
				</div>
			</if>

			<if condition="$data['type'] eq '1'">
				<div class="form-group">
					<label for="input-score" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('GIVEAWAY')} {$name_score}</label>
					<div class="col-md-6 col-sm-10">
						<input type="text" class="form-control" id="input-score" name="score" value="{$data['score']}">
						<p class="help-block">{:lang('BETWEEN_MSG', ['min' => 0, 'max' => 99999999])}</p>
					</div>
				</div>

				<div class="form-group">
					<label for="input-vip_length" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('GIFT_VIP_DURATION')}({:lang('DAYS')})</label>
					<div class="col-md-6 col-sm-10">
						<input type="text" class="form-control" id="input-vip_length" name="vip_length" value="{$data['vip_length']}">
						<p class="help-block">{:lang('BETWEEN_MSG', ['min' => 0, 'max' => 99999999])}</p>
					</div>
				</div>

				<div class="form-group">
                    <label for="input-giftid" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('GIFT_POPULAR_GIFT')}</label>
                    <div class="col-md-6 col-sm-10">
                        <select class="form-control" name="giftid">
                        	<option value="0" <if condition="$data['giftid'] eq '0'">selected</if>>--{:lang('NOT_SELECTED')}--</option>
                        	<volist name="hotGiftLists" id="vo">
                            	<option value="{$vo['id']}" <if condition="$vo['id'] eq $data['giftid']">selected</if>>{$vo['giftname']}</option>
                            </volist>
                        </select>
                        <p class="help-block">{:lang('PLEASE_ENSURE_THAT_HOT_GIFTS_ARE_ADDED_IN_LIVE_MANAGEMENT_GIFT_MANAGEMENT')}</p>
                    </div>
                </div>

                <div class="form-group">
					<label for="input-gift_num" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('GIFT_POPULAR_GIFT_COUNT')}</label>
					<div class="col-md-6 col-sm-10">
						<input type="text" class="form-control" id="input-gift_num" name="gift_num" value="{$data['gift_num']}">
						<p class="help-block">0-99999之间</p>
					</div>
				</div>

			</if>

            <div class="form-group">
				<div class="col-sm-offset-2 col-sm-10">
					<input type="hidden" name="id" value="{$data.id}" />
					<input type="hidden" name="type" value="{$data.type}" />
					<button type="submit" class="btn btn-primary js-ajax-submit">{:lang('EDIT')}</button>
					<a class="btn btn-default" href="javascript:history.back(-1);">{:lang('BACK')}</a>
				</div>
			</div>

		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
	<script type="text/javascript">
		$(function(){
			$("select[name='giftid']").change(function(){
				var val=$(this).val();
				if(val==0){
					$("input[name='gift_num']").val("0");
				}
			});
		});
	</script>
</body>
</html>
